#!/bin/sh

if [ $# -ne 2 ]
then
	echo "Usage: ./build.sh <extension name> <extension version>"
	exit 1
fi

name="$1"
version="$2"

# Clean the old build
rm update.rdf
rm "$name.xpi"

# Create the correct directory hierarchy for the extension.
mkdir -p "build/chrome/$name"
sed "s/\$version/$version/g" update.rdf.template > update.rdf
sed "s/\$version/$version/g" install.rdf.template > install.rdf
cp install.rdf build/
cp -r content "build/chrome/$name/"
cd build
find * -not -name 'build.xml' | grep -v '\/CVS' | zip "$name.xpi" -@
mv "$name.xpi" ../
cd ..
rm -rf build
cp $name.xpi "../archive/$name-$version.xpi"

# Create the source zipfile
zip -r "$name.zip" content build.sh install.rdf
rm -rf install.rdf
mv "$name.zip" "../archive/$name-$version.zip"
